message("-- Checking for Glib >= ${GLIB_REQUIRED_VERSION}...")
pkg_check_modules(GLIB2 glib-2.0>=${GLIB_REQUIRED_VERSION})
message("-- Checking for GTK+ >= ${GTK_REQUIRED_VERSION}...")
pkg_check_modules(GTK3 gtk+-3.0>=${GTK_REQUIRED_VERSION})
message("-- Checking for GModule...")
pkg_check_modules(GMODULE gmodule-2.0)

if(GLIB2_FOUND AND GTK3_FOUND AND GMODULE_FOUND)
    set(GTK3_ALL_INCLUDES ${GLIB2_INCLUDE_DIRS} ${GTK3_INCLUDE_DIRS} ${GMODULE_INCLUDE_DIRS})
    set(GTK3_ALL_CFLAGS ${GLIB2_CFLAGS_OTHER} ${GTK3_CFLAGS_OTHER} ${GMODULE_CFLAGS_OTHER})
    set(GTK3_ALL_LIBS ${GLIB2_LDFLAGS} ${GTK3_LDFLAGS} ${GMODULE_LDFLAGS})
else()
    message(FATAL_ERROR "Glib/GTK+ not found")
endif()
